MENU PRINCIPAL
 Polyomino 2.1

Index

Introduction

Déplacements

Options

A propos des puzzles

Nouveautés (version 2.1)

Enregistrement

Vous pouvez contacter l'auteur par e-mail à: JFranceschi@kagi.com

Aide pour Polyomino, version 2.1

© 1998,99 Julien Franceschi

Ajaccio France


OPTIONS

La fiche Options accessible dans le menu contextuel à l'aide d'un clic droit de la souris sur l'aire de jeu présente les options suivantes:

- Français

Selectionnez cette option pour que le jeu soit en langue Française.

- Anglais

Cochez cette option pour que le jeu soit en langue Anglaise.

- Effets sonores

Cliquez sur cette option pour activer ou désactiver les effets sonores.

- Barre de pentaminos

Cliquez sur cette option pour afficher ou cacher la barre contenant les pentaminos. Vous disposerez ainsi de plus de place et pourrez aménager vos pentaminos comme bon vous semble.

- Animer la résolution du puzzle

Cochez cette option pour que la couleur des pentaminos s'anime lors de la résolution d'un puzzle. Sinon un message vous annoncera que vous avez résolu le puzzle.

- Couleur de la grille

Cliquez sur la case de couleur afin de modifier la couleur de la grille.

- Nom

Cliquez sur ce bouton pour rentrer votre nom.

- Imprimer

Pressez ce bouton pour imprimer la partie en cours.


ENREGISTREMENT

Polyomino est proposé en tant que shareware. Cela signifie qu'il est libre à chacun de jouer avec les puzzles disponibles, de le tester et de s'assurer qu'il fonctionne bien avant de l'acheter.

Dans la version non-enregistrée, seuls les 10 premiers puzzles (4-6 pièces) sont disponibles afin que l'utilisateur puisse s'initier au jeu. Pour jouer aux autres puzzles, il faut enregistrer.

Il existe deux sortes de licences:

1. Le Pack complet

Il vous permet de jouer entièrement à la totalité des puzzles (4-6 pièces, 6-8 pièces, 9-11 pièces, 12 pièces, standard, triplication).

License: 110 frs.

2. Le pack d'entrée

Il vous permet de jouer aux 50 premiers puzzles (4-6 pièces, 6-8 pièces, 9-11 pièces).

License: 50 frs.

(Vous pourrez ensuite à tout moment acquérir le pack complet pour 60 frs).

Comment enregistrer?

Les enregistrements de Polyomino sont gérées par la compagnie Kagi spécialisée dans les ventes de sharewares. Vous disposez ainsi de plusieurs méthodes pour enregistrer:

1. Vous pouvez enregistrer Online avec une carte de crédit sur un site web sécurisé à l'adresse suivante:

http://order.kagi.com/?L9H

2. Vous pouvez également enregistrer par e-mail, fax ou courrier en utilisant le programme d'accompagnement Register qui traite les paiements par chèque ou carte de crédit. Ce programme demande les indications relatives à votre paiement. Pour le lancer, vous pouvez cliquer sur le bouton Enregistrer par courrier, e-mail ou fax de la fiche Version shareware ou double cliquer sur le fichier Register.exe présent dans le répertoire où vous avez installé Polyomino.

3. Si vous résidez en France, vous pouvez adresser directement votre paiement (en frs) à l'adresse suivante:

Résidence la Pietrina

Avenue de la Grande Armée

20000 Ajaccio

FRANCE

Dans tous les cas, une fois votre paiement reçu, vous recevrez un code personnel (par e-mail si vous en disposez sinon par courrier à l'adresse que vous avez mentionné dans votre enregistrement), ainsi que les instructions pour l'utiliser dans le programme et ainsi libérer la totalité des puzzles pour le pack complet ou les 50 premiers pour le pack d'entrée.

Pourquoi enregistrer?

D'une part, vous pourrez jouer aux nouveaux puzzles qui vous garderont pendant de longues heures sur votre ordinateur. Et d'autre part, vous contribuerez au développement de ce jeu et récompenserez les nombreuses journées que l'auteur a passé à programmer afin d'améliorer au fil des versions la qualité et le plaisir de jeu, pour la plus grande satisfaction des amateurs de pentaminos.


DEPLACEMENTS

Voici les principales étapes de la résolution d'un puzzle:

1. Placer un pentamino.

Pour placer un pentamino sur l'aire de jeu, il suffit de cliquer sur le bouton dans la barre de pentaminos représantant le pentamino et celui-ci se place automatiquement dans l'angle supérieur gauche de l'aire de jeu.

2.Déplacer un pentamino.

Pour déplacer un pentamino, cliquez sur celui-ci avec le bouton gauche de la souris et tout en maintenant le bouton enfoncé, déplacez le à l'endroit désiré. Pour le déposer, il suffit de relacher le bouton gauche.

3.Faire pivoter/retourner un pentamino.

Pour placer un pentamino dans la bonne position, deux possibilités existent:

- Cliquez avec le bouton droit de la souris sur le pentamino à faire pivoter afin d'afficher le menu contextuel proposant toutes les sortes de rotations.

-Tout en déplaçant un pentamino (voir 2), cliquez avec le bouton droit de la souris afin de lui faire prendre successivement toutes les positions possibles.

4.Enlever un pentamino.

Si vous déirez enlever un pentamino mal placé, cliquez sur celui-ci avec le bouton droit de la souris afin d'activer le menu contextuel et choisissez Supprimer.


Bienvenue
INTRODUCTION

Polyomino est un jeu de réflexion dont le but est de remplir entièrement les puzzles proposés à l'aide des pentaminos nécessaires. L'interface a été étudiée afin de favoriser le confort et la qualité de jeu.

-Le jeu est bilingue: les deux langues sont le Français et l'Anglais.

-Polyomino possède 100 puzzles classés par catégories et par difficulté croissante, tous visualisables à l'ecran.

-Un soin particulier à été apporté à la présentation des pentaminos. En effet, ceux-ci possèdent désormais un effet 3D entièrement paramétrable.

-De nombreuses options et informations sur la partie son disponibles comme les couleurs, les sons...

-Seuls les 10 premiers puzzles peuvent être joués dans la version shareware. Les autres seront disponibles une fois enregistré.

Configuration :

Polyomino fonctionne sur la plupart des ordinateurs sous Windows95, NT ou plus.

Toutes les résolution d'écran (640x480, 800x600 ou plus) peuvent être utilisées mais plus la configuration est grande, plus la taille des puzzles et des pentaminos diminue, il est donc conseillé d'utiliser une résolution classique comme 640x480 ou 800x600.


Puzzles
A PROPOS DES PUZZLES

Polyomino possède pas moins de 100 puzzles classés par catégories et par difficulté croissante, tous visualisables à l'ecran.

Les 50 premiers puzzles ont été entièrement inventés par l'auteur, les 50 autres sont des classiques (comme les 6x10, 5x12, 4x15...).

Ces derniers possèdent plusieurs milliers de solutions, le puzzle 6x10 possède par exemple 2339 solutions, le 5x12 en possède 1010, le 4x15 en possède 368 et le 3x20 seulement 2.

Polyomino dispose ainsi d'une trés grande durée de vie et il vous faudra du temps avant de venir à bout de tous les puzzles.

Une solution du puzzle 6x10.

Les triplications sont des puzzles en forme de pentaminos. Il en existe donc 12 qui nécessitent 8 pentaminos pour remplir la grille.

Solution d'une triplication du pentamino en F.


Nouveautes
NOUVEAUTES (Version2.1)

Version 2.1 (4 Juillet 1999)

- Pentaminos en relief, paramétrables (couleur, épaisseur, direction).

- Nouvelles options et informations (couleurs de la grille, nom...).

- 70 nouveaux puzzles de niveaux différents.

- Nouvelle boîte de sélection des puzzles.

- Animation des pentaminos lors de la résolution d'un puzzle.

- Ecran de chargement et aide de base.

- Deux possibilités d'enregister.

- De nombreux détails, bogues et imperfections résolus.

Version 2.0 (10 Mai 1999)

- Les pentaminos sont devenus entièrement mobiles, et l'utilisateur peut déplacer les pentaminos où bon lui semble (nouveauté majeure de cette version).

- Menu classique remplacé par un menu flottant moins encombrant.

- Nouvelles options et informations sur la partie(Rotations, Pièces enlevées).

- Puzzles visualisables directement à l'écran.

- Interface et pentaminos complétement refaits.